what do i need to run icloud

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • iPod Touch 3rd or 4th Gen
    iPhone 3gs, 4, 4s
    Mac OSX Lion